STDBUF(1)

NAME
stdbuf - Run COMMAND, with modified buffering operations for its standard streams.

SYNOPSIS
stdbuf [-i|--input] [-o|--output] [-e|--error] [-h|--help] [-V|--version] <command>

DESCRIPTION
Run COMMAND, with modified buffering operations for its standard streams.

OPTIONS

-i, --input <MODE>
    adjust standard input stream buffering

-o, --output <MODE>
    adjust standard output stream buffering

-e, --error <MODE>
    adjust standard error stream buffering

-h, --help
    Print help

-V, --version
    Print version

EXTRA
## Examples Change `stdin` buffer size to 512 KiB: stdbuf {{[-i|--input]}} 512K {{command}} Change `stdout` buffer to line-buffered: stdbuf {{[-o|--output]}} L {{command}} Change `stderr` buffer to unbuffered: stdbuf {{[-e|--error]}} 0 {{command}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.9.0